Rivet: Metadata

| Rivet 3.1.9

Functions
Metadata

## Functions
void | Rivet::Analysis::loadInfo ()
| Get the AnalysisInfo object to parse its info file in which the metadata is stored.
const AnalysisInfo & | Rivet::Analysis::info () const
| Get the actual AnalysisInfo object in which all this metadata is stored.
virtual std::string | Rivet::Analysis::name () const
| Get the name of the analysis.
virtual std::string | Rivet::Analysis::getRefDataName () const
| Get name of reference data file, which could be different from plugin name.
virtual void | Rivet::Analysis::setRefDataName (const std::string &ref_data="")
| Set name of reference data file, which could be different from plugin name.
std::string | Rivet::Analysis::analysisDataPath (const std::string &extn, const std::string &suffix="")
| Get the path to a data file associated with this analysis.
virtual std::string | Rivet::Analysis::inspireId () const
| Get the Inspire ID code for this analysis.
virtual std::string | Rivet::Analysis::spiresId () const
| Get the SPIRES ID code for this analysis (~deprecated).
virtual std::vector< std::string > | Rivet::Analysis::authors () const
| Names & emails of paper/analysis authors.
virtual std::string | Rivet::Analysis::summary () const
| Get a short description of the analysis.
virtual std::string | Rivet::Analysis::description () const
| Get a full description of the analysis.
virtual std::string | Rivet::Analysis::runInfo () const
| Information about the events needed as input for this analysis.
virtual std::string | Rivet::Analysis::experiment () const
| Experiment which performed and published this analysis.
virtual std::string | Rivet::Analysis::collider () const
| Collider on which the experiment ran.
virtual std::string | Rivet::Analysis::year () const
| When the original experimental analysis was published.
virtual double | Rivet::Analysis::luminosityfb () const
| The integrated luminosity in inverse femtobarn.
virtual double | Rivet::Analysis::luminosity () const
| The integrated luminosity in inverse picobarn.
virtual std::vector< std::string > | Rivet::Analysis::references () const
| Journal, and preprint references.
virtual std::string | Rivet::Analysis::bibKey () const
| BibTeX citation key for this article.
virtual std::string | Rivet::Analysis::bibTeX () const
| BibTeX citation entry for this article.
virtual std::string | Rivet::Analysis::status () const
| Whether this analysis is trusted (in any way!)
virtual std::string | Rivet::Analysis::warning () const
| A warning message from the info file, if there is one.
virtual std::vector< std::string > | Rivet::Analysis::todos () const
| Any work to be done on this analysis.
virtual std::vector< std::string > | Rivet::Analysis::validation () const
| make-style commands for validating this analysis.
virtual bool | Rivet::Analysis::reentrant () const
| Does this analysis have a reentrant finalize()?
virtual std::string | Rivet::Analysis::refFile () const
| Location of reference data YODA file.
virtual std::string | Rivet::Analysis::refMatch () const
| Positive filtering regex for ref-data HepData sync.
virtual std::string | Rivet::Analysis::refUnmatch () const
| Negative filtering regex for ref-data HepData sync.
virtual std::string | Rivet::Analysis::writerDoublePrecision () const
| Positive filtering regex for setting double precision in Writer.
virtual const std::vector< PdgIdPair > & | Rivet::Analysis::requiredBeams () const
| Return the allowed pairs of incoming beams required by this analysis.
virtual Analysis & | Rivet::Analysis::setRequiredBeams (const std::vector< PdgIdPair > &requiredBeams)
| Declare the allowed pairs of incoming beams required by this analysis.
virtual const std::vector< std::pair< double, double > > & | Rivet::Analysis::requiredEnergies () const
| Sets of valid beam energy pairs, in GeV.
virtual const std::vector< std::string > & | Rivet::Analysis::keywords () const
| Get vector of analysis keywords.
virtual Analysis & | Rivet::Analysis::setRequiredEnergies (const std::vector< std::pair< double, double > > &requiredEnergies)
| Declare the list of valid beam energy pairs, in GeV.
AnalysisInfo & | Rivet::Analysis::info ()

## Detailed Description

Metadata is used for querying from the command line and also for building web pages and the analysis pages in the Rivet manual.

## Function Documentation

## ◆ analysisDataPath()

std::string Rivet::Analysis::analysisDataPath | ( | const std::string & | extn,
|  | const std::string & | suffix = `""`
| ) |  |
| inline

Get the path to a data file associated with this analysis.

The searched-for filename will be <ANANAME>.<extn> of suffix is empty/unspecified, or <ANANAME>-<suffix>.<extn> if a non-zero suffix is specified.

References Rivet::findAnalysisDataFile(), and Rivet::Analysis::name().

## ◆ authors()

virtual std::vector< std::string > Rivet::Analysis::authors | ( |  | ) | const
| inlinevirtual

Names & emails of paper/analysis authors.

Names and email of authors in 'NAME <EMAIL>' format. The first name in the list should be the primary contact person.

References Rivet::AnalysisInfo::authors(), and Rivet::Analysis::info().

## ◆ description()

virtual std::string Rivet::Analysis::description | ( |  | ) | const
| inlinevirtual

Get a full description of the analysis.

Full textual description of this analysis, what it is useful for, what experimental techniques are applied, etc. Should be treated as a chunk of restructuredText (http://docutils.sourceforge.net/rst.html), with equations to be rendered as LaTeX with amsmath operators.

References Rivet::AnalysisInfo::description(), and Rivet::Analysis::info().

## ◆ info()

AnalysisInfo & Rivet::Analysis::info | ( |  | ) |
| inline

Get the actual AnalysisInfo object in which all this metadata is stored (non-const).

Note
  For internal use!

## ◆ name()

virtual std::string Rivet::Analysis::name | ( |  | ) | const
| inlinevirtual

Get the name of the analysis.

By default this is computed by combining the results of the experiment, year and Spires ID metadata methods and you should only override it if there's a good reason why those won't work. If options has been set for this instance, a corresponding string is appended at the end.

Implements Rivet::ProjectionApplier.

References Rivet::Analysis::info(), Rivet::Analysis::name(), and Rivet::AnalysisInfo::name().

Referenced by Rivet::Analysis::addAnalysisObject(), Rivet::Analysis::analysisDataPath(), Rivet::CumulantAnalysis::bookECorrelator(), Rivet::CumulantAnalysis::bookECorrelator(), Rivet::CumulantAnalysis::bookECorrelator(), Rivet::CumulantAnalysis::bookECorrelator(), Rivet::CumulantAnalysis::bookECorrelator(), Rivet::CumulantAnalysis::bookECorrelator(), Rivet::CumulantAnalysis::bookECorrelatorGap(), Rivet::CumulantAnalysis::bookECorrelatorGap(), Rivet::CumulantAnalysis::ECorrelator::fillFromProfile(), Rivet::Analysis::name(), Rivet::CumulantAnalysis::rawHookOut(), Rivet::Analysis::refData(), Rivet::Analysis::registerAO(), and Rivet::Analysis::setRefDataName().

## ◆ runInfo()

virtual std::string Rivet::Analysis::runInfo | ( |  | ) | const
| inlinevirtual

Information about the events needed as input for this analysis.

Event types, energies, kinematic cuts, particles to be considered stable, etc. etc. Should be treated as a restructuredText bullet list (http://docutils.sourceforge.net/rst.html)

References Rivet::Analysis::info(), and Rivet::AnalysisInfo::runInfo().

## ◆ summary()

virtual std::string Rivet::Analysis::summary | ( |  | ) | const
| inlinevirtual

Get a short description of the analysis.

Short (one sentence) description used as an index entry. Use description() to provide full descriptive paragraphs of analysis details.

References Rivet::Analysis::info(), and Rivet::AnalysisInfo::summary().